Bug 203384 - www/firefox: upgrade to 41
Summary: www/firefox: upgrade to 41
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on: 207735
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 20:50 UTC by Christoph Moench-Tegeder
Modified: 2016-03-06 06:35 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments
update firefox and firefox-i18n to version 41 (32.25 KB, patch)
2015-09-26 20:50 UTC, Christoph Moench-Tegeder
no flags Details | Diff
stage-qa/check-orphans output (429 bytes, text/plain)
2015-09-26 20:51 UTC, Christoph Moench-Tegeder
no flags Details
updated patch, dtrace symbols in libxul (32.16 KB, patch)
2015-10-03 16:14 UTC, Christoph Moench-Tegeder
no flags Details | Diff
poudriere bulk log (62.50 KB, text/x-log)
2015-10-06 21:18 UTC, Joseph Mingrone
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2015-09-26 20:50:33 UTC
Created attachment 161444 [details]
update firefox and firefox-i18n to version 41

attached patch upgrades www/firefox and www/firefox-i18 to version 41.
Notable items:
 - please note deleted patch www/firefox/files/patch-bug702179 - this seems
   to have been applied upstream or obsoleted otherwise.
 - firefox now requires the system sqlite3 build with the DBSTAT option,
   see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200853
 - in firefox-i18n, language ZU is gone (XPI file is not available).

The port builds here (10.2 amd64) and passes stage-qa and check-orphans.
I've tested some general web surfing and checked that PDF rendering and youtube (HTML5 video, with sound) still works.
Comment 1 Christoph Moench-Tegeder freebsd_committer 2015-09-26 20:51:54 UTC
Created attachment 161445 [details]
stage-qa/check-orphans output
Comment 2 Jan Beich freebsd_committer 2015-09-27 19:42:08 UTC
FWIW, fails to build on 11.0-CURRENT with bug 201377 applied. Maybe not important until that bug lands and pkg-fallout@ catches up.

In file included from obj-*/dom/base/Unified_cpp_dom_base1.cpp:137:
In file included from dom/base/Navigator.cpp:42:
../../dist/include/mozilla/dom/MobileMessageManager.h:17:1: error: declaration
      conflicts with target of using declaration already in scope
class Promise;
^
../../dist/include/mozilla/dom/Promise.h:72:7: note: target of using declaration
class Promise : public nsISupports,
      ^
dom/base/DOMRequest.cpp:22:21: note:
      using declaration
using mozilla::dom::Promise;
                    ^
1 error generated.

(In reply to Christoph Moench-Tegeder from comment #0)
> - please note deleted patch www/firefox/files/patch-bug702179 - this seems
>   to have been applied upstream or obsoleted otherwise.

Neither. Upstream moved more stuff from Makefile.in to moz.build but the issue likely still stands - dtrace probes aren't installed. To test the probes try

1. Build www/firefox with DTRACE=on
2. kldload dtraceall or kldload sdt
3. Start firefox
4. dtrace -l | fgrep javascript | c++filt (shouldn't be empty)
5. Run any /usr/src/cddl/contrib/dtracetoolkit/JavaScript/*.d
   which are also provided by sysutils/DTraceToolkit port.
   Note, each script comes with a manpage if you're curious what they do.

Always check upstream bugs when removing files/patch-bug* on updates. patch(1) cannot detect if the code moved into another file. So, if the bug had no recent activity then use mercurial history to find out why and where the affected lines moved. Otherwise, check Target Milestone of the FIXED bug (or its commit) corresponds to the version you update to (see config/milestone.txt if in doubt).

> - firefox now requires the system sqlite3 build with the DBSTAT option,
>   see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200853

Adjust sqlite3 version requirement in www/firefox/Makefile then. Until bsd.port.mk grows support for depending on options (a la Gentoo) you have to rely on PKGVERSION.

>  - in firefox-i18n, language ZU is gone (XPI file is not available).

It's likely a separate issue as zu.xpi wasn't available in 40.0, nor esr38. Whatever still references ZU in *-i18n needs to be garbage-collected.

The state of translations can usually be inspected on https://l10n.mozilla.org/teams/ where Zulu appears to lack Firefox sign-off.
Comment 3 Jan Beich freebsd_committer 2015-09-28 08:27:13 UTC
(In reply to Jan Beich from comment #2)
> Adjust sqlite3 version requirement in www/firefox/Makefile then.

Version in Makefile should match one in configure.in where it is SQLITE_VERSION=3.8.10.1. And DBSTAT option requirement should be mentioned in UPDATING instead, see 20120726 entry for an example.

As reminded by koobs@ relying on PORTREVISION wouldn't work for ports users who already saved selected options.
Comment 4 Christoph Moench-Tegeder freebsd_committer 2015-10-03 15:42:07 UTC
Did the DTrace support even work with Firefox 40?
I'm quite sure dtrace in general is working on my machine (verified with a minimal test program to make sure I can dtrace things not in the base system).
When I build Firefox 40 with DTRACE enabled, the dtrace-support symbols end up in /usr/local/lib/firefox/libxul.so, but the probes never show up in "dtrace -l".
I can patch Firefox 41 to get the same effect, but that does not seem to be too helpful at all.
I do get the dtrace probes into firefox when I enable DEBUG (needs --disable-gold), but the resulting binary is not usable as a everyday browser.
Is there any documentation for building and using firefox+dtrace beside Mozilla's wiki and bugzilla? (Wiki and bugzilla feel a little outdated and not very verbose on this subject).
Comment 5 Christoph Moench-Tegeder freebsd_committer 2015-10-03 16:14:35 UTC
Created attachment 161680 [details]
updated patch, dtrace symbols in libxul

here's the patch, with patch-bug702179 back and updated.
Comment 6 commit-hook freebsd_committer 2015-10-06 20:02:30 UTC
A commit references this bug:

Author: swills
Date: Tue Oct  6 20:02:00 UTC 2015
New revision: 398716
URL: https://svnweb.freebsd.org/changeset/ports/398716

Log:
  www/firefox: update to 41.0

  PR:		203384
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  MFH:		2014Q4
  Security:	2d56c7f4-b354-428f-8f48-38150c607a05

Changes:
  head/Mk/Uses/gecko.mk
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug702179
  head/www/firefox/files/patch-bug847568
  head/www/firefox/files/patch-memory-jemalloc-Makefile.in
  head/www/firefox/files/patch-toolkit_mozapps_installer_packager_mk
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 7 Joseph Mingrone freebsd_committer 2015-10-06 21:18:21 UTC
Created attachment 161775 [details]
poudriere bulk log
Comment 8 Joseph Mingrone freebsd_committer 2015-10-06 21:21:40 UTC
(In reply to Joseph Mingrone from comment #7)

The attached poudriere bulk log is from a 10.1-RELEASE amd64 jail.  It shows an error with sqlite build options during the configure stage.
Comment 9 Steve Wills freebsd_committer 2015-10-06 21:43:46 UTC
(In reply to Joseph Mingrone from comment #8)
Quoting:

https://lists.freebsd.org/pipermail/svn-ports-all/2015-October/106641.html

> databases/sqlite3 must be rebuilt with DBSTAT option.
> 
> https://svnweb.freebsd.org/changeset/ports/398061
Comment 10 Joseph Mingrone freebsd_committer 2015-10-06 21:58:02 UTC
That fixed the configure error here.
Comment 11 commit-hook freebsd_committer 2015-10-06 22:16:44 UTC
A commit references this bug:

Author: jbeich
Date: Tue Oct  6 22:16:00 UTC 2015
New revision: 398725
URL: https://svnweb.freebsd.org/changeset/ports/398725

Log:
  Document recent pitfall when updating www/firefox

  r398061 only helps package users due to ports framework bugs:
  - {BUILD,RUN}_DEPENDS cannot specify options requirements
  - During updates default options' state aren't propagated once saved

  PR:		203384
  Reported by:	many

Changes:
  head/UPDATING
Comment 12 commit-hook freebsd_committer 2015-10-07 13:39:49 UTC
A commit references this bug:

Author: swills
Date: Wed Oct  7 13:39:20 UTC 2015
New revision: 398766
URL: https://svnweb.freebsd.org/changeset/ports/398766

Log:
  MFH: r398716

  www/firefox: update to 41.0

  PR:		203384
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  Security:	2d56c7f4-b354-428f-8f48-38150c607a05

Changes:
_U  branches/2015Q4/
  branches/2015Q4/Mk/Uses/gecko.mk
  branches/2015Q4/www/firefox/Makefile
  branches/2015Q4/www/firefox/distinfo
  branches/2015Q4/www/firefox/files/patch-bug702179
  branches/2015Q4/www/firefox/files/patch-bug847568
  branches/2015Q4/www/firefox/files/patch-memory-jemalloc-Makefile.in
  branches/2015Q4/www/firefox/files/patch-toolkit_mozapps_installer_packager_mk
  branches/2015Q4/www/firefox-i18n/Makefile
  branches/2015Q4/www/firefox-i18n/distinfo
Comment 13 Steve Wills freebsd_committer 2015-10-07 13:43:18 UTC
Committed and MFH'd. Thanks!